Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001338TestLinkInstallerpublic2008-01-29 22:372008-11-07 19:47
Reportertuergeist 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 Beta 1 
Summary0001338: Installer does not warn that /logs is not writable but does it for templates_c
DescriptionThe Installer does a "dirExists-dirIsWritable" check before starting install process.

logs should be added to this check-process.
Additional InformationRepository revision: 1.19 /cvsroot/testlink/testlink/install/newInstallStart_TL.php

Possible solution:
  Patch line 92 to:
  $check = check_with_feedback(array('../gui/templates_c', '../logs'));
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003130)
fman (administrator)
2008-01-29 22:47

Thanks, will fix
(0003131)
fman (administrator)
2008-01-29 22:47

Please signal product version when reporting
(0003234)
tuergeist
2008-02-12 18:16

issue still exists in pre 1.8 beta (CVS HEAD)
(0003235)
tuergeist
2008-02-12 18:18

Not to warn results in
Warning: fopen(/x-files/cbecker/workspaces/php/testlink-beta/logs//userlog0.log) [function.fopen]: failed to open stream: Permission denied in /x-files/cbecker/workspaces/php/testlink-beta/lib/functions/logger.class.php on line 646

if you continue installation.

Maybe there should also be a check for config_db.inc.php
(e.g., touch config_db.inc.php && chmod 777 config_db.inc.php)

- Issue History
Date Modified Username Field Change
2008-01-29 22:37 tuergeist New Issue
2008-01-29 22:47 fman Note Added: 0003130
2008-01-29 22:47 fman Status new => assigned
2008-01-29 22:47 fman Assigned To => fman
2008-01-29 22:47 fman Note Added: 0003131
2008-02-12 18:16 tuergeist Note Added: 0003234
2008-02-12 18:18 tuergeist Note Added: 0003235
2008-02-25 19:57 fman Status assigned => resolved
2008-02-25 19:57 fman Fixed in Version => next development version (1.8 Beta1)
2008-02-25 19:57 fman Resolution open => fixed
2008-06-03 16:48 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:47 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker